aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteAccessKey

Synopsis

- data DeleteAccessKey = DeleteAccessKey {
  - dakAccessKeyId :: Text
  - dakUserName :: Maybe Text
  }
- data DeleteAccessKeyResponse = DeleteAccessKeyResponse

# Documentation

data DeleteAccessKey Source #

Deletes the access key associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteAccessKey.html

Constructors

DeleteAccessKey |

Fields

- dakAccessKeyId :: Text

  ID of the access key to be deleted.

- dakUserName :: Maybe Text

  User name with which the access key is associated.

#### Instances

Instances details

SignQuery DeleteAccessKey Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ServiceConfiguration DeleteAccessKey |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ServiceConfiguration DeleteAccessKey = IamConfiguration

Methods

signQuery :: DeleteAccessKey -> ServiceConfiguration DeleteAccessKey queryType -> SignatureData -> SignedQuery Source #

Show DeleteAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods showsPrec :: Int -> DeleteAccessKey -> ShowS Source # show :: DeleteAccessKey -> String Source # showList :: [DeleteAccessKey] -> ShowS Source #
Eq DeleteAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods (==) :: DeleteAccessKey -> DeleteAccessKey -> Bool Source # (/=) :: DeleteAccessKey -> DeleteAccessKey -> Bool Source #
Ord DeleteAccessKey Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Methods

compare :: DeleteAccessKey -> DeleteAccessKey -> Ordering Source #

(<) :: DeleteAccessKey -> DeleteAccessKey -> Bool Source #

(<=) :: DeleteAccessKey -> DeleteAccessKey -> Bool Source #

(>) :: DeleteAccessKey -> DeleteAccessKey -> Bool Source #

(>=) :: DeleteAccessKey -> DeleteAccessKey -> Bool Source #

max :: DeleteAccessKey -> DeleteAccessKey -> DeleteAccessKey Source #

min :: DeleteAccessKey -> DeleteAccessKey -> DeleteAccessKey Source #

ResponseConsumer DeleteAccessKey DeleteAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ResponseMetadata DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteAccessKey -> IORef (ResponseMetadata DeleteAccessKeyResponse) -> HTTPResponseConsumer DeleteAccessKeyResponse Source #

Transaction DeleteAccessKey DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey
type ServiceConfiguration DeleteAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ServiceConfiguration DeleteAccessKey = IamConfiguration

data DeleteAccessKeyResponse Source #

Constructors

DeleteAccessKeyResponse |

#### Instances

Instances details

AsMemoryResponse DeleteAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type MemoryResponse DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type MemoryResponse DeleteAccessKeyResponse = DeleteAccessKeyResponse

Methods

loadToMemory :: DeleteAccessKeyResponse -> ResourceT IO (MemoryResponse DeleteAccessKeyResponse) Source #

Show DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods showsPrec :: Int -> DeleteAccessKeyResponse -> ShowS Source # show :: DeleteAccessKeyResponse -> String Source # showList :: [DeleteAccessKeyResponse] -> ShowS Source #
Eq DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods (==) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool Source # (/=) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool Source #
Ord DeleteAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Methods

compare :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Ordering Source #

(<) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool Source #

(<=) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool Source #

(>) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool Source #

(>=) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool Source #

max :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> DeleteAccessKeyResponse Source #

min :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> DeleteAccessKeyResponse Source #

ResponseConsumer DeleteAccessKey DeleteAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ResponseMetadata DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteAccessKey -> IORef (ResponseMetadata DeleteAccessKeyResponse) -> HTTPResponseConsumer DeleteAccessKeyResponse Source #

Transaction DeleteAccessKey DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey
type MemoryResponse DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type MemoryResponse DeleteAccessKeyResponse = DeleteAccessKeyResponse
type ResponseMetadata DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata